package org.jeecg.modules.projectManagement.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 项目报价选择的模板对照表
 * @author： jeecg-boot
 * @date：   2019-05-20
 * @version： V1.0
 */
public interface FdProjectQuotationTemplateMapper extends BaseMapper<FdProjectQuotationTemplate> {

    List<FdProjectQuotationTemplate> getByQuotationId(String quotationId);


    List<FdProjectQuotationTemplate> getByQuotationId1(String quotationId);

    int updateDelFlagByQuotationId(@Param("quotationId")String quotationId);

    int updateTotleBatch(@Param("list")List<FdProjectQuotationTemplate> fdProjectQuotationTemplateList);
}
